> For the complete documentation index, see [llms.txt](https://docs.getdot.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getdot.ai/integrations/databases/sap-hana.md).

# SAP HANA

Easily talk to your "Systems, Applications, and Products" In-Memory database

### Create a role and a user for Dot <a href="#create-a-role-and-a-user-for-dot" id="create-a-role-and-a-user-for-dot"></a>

Create a dedicated user and role for Dot to access SAP HANA Cloud tables. Replace `<schema_name>`, `<table_name>` with the name of your schema and tables.

```sql
SET SCHEMA <schema_name>
CREATE USER DOT_USER
CREATE ROLE DOT_ROLE
GRANT SELECT ON SCHEMA <schema_name> TO DOT_ROLE
GRANT DOT_ROLE TO DOT_USER
```

It is recommended to grant permissions only to tables your end-users should have access to. These typically include core business tables and reporting tables.

If you need to grant access to a particular table, run the following command:

```sql
GRANT SELECT ON <schema_name>.<table_name> TO <user_or_role>
```

### How to connect to the free SAP HANA Cloud instance <a href="#how-to-connect-to-the-free-sap-hana-cloud-instance" id="how-to-connect-to-the-free-sap-hana-cloud-instance"></a>

1. Sign-in to the SAP BTP Cockpit with your credentials
2. Select your subaccount under the account explorer
3. Select your space under Cloud Foundry -> Spaces
4. Select **SAP HANA Cloud** on the left panel
5. Open **SAP HANA Cloud Central**, check the current status of the SAP HANA instance.

For more info on how to start with the SAP HANA free instance check out: [Provision an Instance of SAP HANA Cloud, SAP HANA Database](https://developers.sap.com/tutorials/hana-cloud-mission-trial-3.html).

### Allow Dot IPs: <a href="#allow-dot-ips" id="allow-dot-ips"></a>

To connect your SAP HANA Cloud instance with Dot, configure it to allow Dot to access it through the following IPs.

* 5.78.211.110
* 178.105.217.177


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.getdot.ai/integrations/databases/sap-hana.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
